## r-cran-triebeard 0.3.0

=== DESCRIPTION ===
Package: triebeard
Type: Package
Title: 'Radix' Trees in 'Rcpp'
Version: 0.3.0
Author: Oliver Keyes [aut, cre], Drew Schmidt [aut], Yuuki Takano [cph]
Maintainer: Oliver Keyes <ironholds@gmail.com>
Description: 'Radix trees', or 'tries', are key-value data structures optimised for efficient lookups, similar in purpose
             to hash tables. 'triebeard' provides an implementation of 'radix trees' for use in R programming and in
             developing packages with 'Rcpp'.
License: MIT + file LICENSE
LazyData: TRUE
LinkingTo: Rcpp
Imports: Rcpp
RoxygenNote: 5.0.1
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
URL: https://github.com/Ironholds/triebeard/
BugReports: https://github.com/Ironholds/triebeard/issues
Date: 2016-08-03
NeedsCompilation: yes
Packaged: 2016-08-03 21:32:42 UTC; ironholds
Repository: CRAN
Date/Publication: 2016-08-04 00:57:37

=== debian/changelog ===
r-cran-triebeard (0.3.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:46 +0100

r-cran-triebeard (0.3.0-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 18:11:54 +0200

r-cran-triebeard (0.3.0-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 13:49:08 +0100

r-cran-triebeard (0.3.0-1) unstable; urgency=medium

  * Initial release (closes: #851562)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 16:52:06 +0100

=== debian/control ===
Source: r-cran-triebeard
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-triebeard
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-triebeard.git
Homepage: https://cran.r-project.org/package=triebeard

Package: r-cran-triebeard
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R radix trees in Rcpp
 'Radix trees', or 'tries', are key-value data structures optimised for
 efficient lookups, similar in purpose to hash tables. 'triebeard'
 provides an implementation of 'radix trees' for use in R programming and
 in developing packages with 'Rcpp'.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/triebeard_([-\d.]*)\.tar\.gz

## r-cran-triebeard 0.4.1

=== DESCRIPTION ===
Package: triebeard
Type: Package
Title: 'Radix' Trees in 'Rcpp'
Version: 0.4.1
Author: Os Keyes [aut, cre], Drew Schmidt [aut], Yuuki Takano [cph]
Maintainer: Os Keyes <ironholds@gmail.com>
Description: 'Radix trees', or 'tries', are key-value data structures optimised for efficient lookups, similar in purpose
             to hash tables. 'triebeard' provides an implementation of 'radix trees' for use in R programming and in
             developing packages with 'Rcpp'.
License: MIT + file LICENSE
LinkingTo: Rcpp
Encoding: UTF-8
Imports: Rcpp
RoxygenNote: 7.1.2
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
URL: https://github.com/Ironholds/triebeard/
BugReports: https://github.com/Ironholds/triebeard/issues
Date: 2023-03-04
NeedsCompilation: yes
Packaged: 2023-03-04 21:40:31 UTC; ironholds
Repository: CRAN
Date/Publication: 2023-03-04 23:30:07 UTC

=== debian/changelog ===
r-cran-triebeard (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 11:13:24 +0200

r-cran-triebeard (0.3.0-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: r-cran-triebeard
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper (>= 11~),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-triebeard
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-triebeard.git
+Homepage: https://cran.r-project.org/package=triebeard
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-triebeard
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-triebeard.git
-Homepage: https://cran.r-project.org/package=triebeard
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-triebeard
 Architecture: any
